summaryrefslogtreecommitdiffstats
path: root/Tools
diff options
context:
space:
mode:
authorasami <asami@FreeBSD.org>1999-09-22 01:00:31 +0000
committerasami <asami@FreeBSD.org>1999-09-22 01:00:31 +0000
commit0062cb4c2f3315501d06fe957918a2d44890f74e (patch)
treecd5348a51148dedbcfe0f4f308846d9daceae3fd /Tools
parentde95f60382dce546f65372c6f78bb71268540cdc (diff)
downloadFreeBSD-ports-0062cb4c2f3315501d06fe957918a2d44890f74e.zip
FreeBSD-ports-0062cb4c2f3315501d06fe957918a2d44890f74e.tar.gz
A small script to generate a list of logs that are in both 3-stable
and 4-current.
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/portbuild/scripts/bothlogs51
1 files changed, 51 insertions, 0 deletions
diff --git a/Tools/portbuild/scripts/bothlogs b/Tools/portbuild/scripts/bothlogs
new file mode 100755
index 0000000..1ea45ae
--- /dev/null
+++ b/Tools/portbuild/scripts/bothlogs
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# prints out logs that are in dir1 and in dir2
+
+if [ $# != 2 ]; then
+ echo "usage: $0 dir1 dir2"
+ exit 1
+fi
+
+here=$(pwd)
+dir1=$1
+dir2=$2
+fdir1=$here/$dir1
+fdir2=$here/$dir2
+ldir2=$(cd $fdir2; cd ../logs; pwd)
+
+of=$here/$dir1+$dir2.html
+
+echo "<html><head><title>Logs that are in both $dir1 and $dir2</title>" >$of
+echo "<h1>Logs that are in both $dir1 and $dir2</h1>" >>$of
+echo "</head><body>" >>$of
+
+cd $fdir1
+
+set *.log
+
+if [ $# = 1 -a "x$1" = "x*.log" ]; then
+ echo "No errors" >>$of
+else
+ num=0
+ echo "<table border=1>" >>$of
+ echo "<tr><th>Log</th></tr>" >>$of
+ while [ $# -gt 0 ]; do
+ if [ -f ${ldir2}/$1 -a -f ${fdir2}/$1 ]; then
+ echo -n "<tr><td>" >>$of
+ echo -n "<a href=\"$dir1/index.html#$1\">" >>$of
+ echo -n $(basename $1 .log) >>$of
+ echo -n "</a>" >>$of
+ echo "</td></tr>" >>$of
+ num=$(($num + 1))
+ fi
+ shift
+ done
+ echo "</table><br>" >> $of
+ echo "$num errors<br>" >> $of
+fi
+
+echo "<hr>" >> $of
+echo "<a href=\"../\">back to top</a>" >> $of
+
+echo "</body></html>" >>$of
OpenPOWER on IntegriCloud